#to be sourced from exporters before args-processing

USER_PREFS_DIR="$HOME/.DemoRecorder"
SYSTEM_PREFS_DIR=/etc/DemoRecorder
INSTALLATION_PREFS_DIR="$DEMOREC_DIR/config"

LICENSE_FILE="$DEMOREC_DIR/licenses:$SYSTEM_PREFS_DIR/licenses:$USER_PREFS_DIR/licenses"
. $DEMOREC_DIR/auxbin/setlicensepath.sh

#read configfiles
if [ -f $INSTALLATION_PREFS_DIR/preferences ] ; then
	. $INSTALLATION_PREFS_DIR/preferences
fi

if [ -f $SYSTEM_PREFS_DIR/preferences ] ; then
	. $SYSTEM_PREFS_DIR/preferences
fi

if [ -f $USER_PREFS_DIR/preferences ] ; then
	. $USER_PREFS_DIR/preferences
fi

#query the internal debug envvar and set the local internal_debug variable accordingly
if [ "$DEMOREC_INTERNAL_DEBUG" = 1 ] ; then
	internal_debug=true
else
	internal_debug=false
fi

# envvar exports
export DEMOREC_DEBUGWS

#init the optArgs array
optArgs=()

